package p10_klasy_podstawy;

public class Program {
    public static void main(String[] args) {
        Osoba a = new Osoba();
        System.out.println(a);
        System.out.println(a.toString());
        System.out.println(a.getClass());
        System.out.println(a.hashCode());
        System.out.println();

        System.out.println("Początkowe wartości pól: " + a.imie + " " + a.nazwisko + " " + a.wiek);
        a.imie = "Ala";
        a.nazwisko = "Kowalska";
        a.wiek = 30;
        System.out.println("Wartości pól a: " + a.imie + " " + a.nazwisko + " " + a.wiek);

        // można tworzyć wiele obiektów tej samej klasy
        Osoba b = new Osoba();
        b.imie = "Bartek";
        b.nazwisko = "Malinowski";
        b.wiek = 30;
        System.out.println("Wartości pól b: " + b.imie + " " + b.nazwisko + " " + b.wiek);
        System.out.println();

        a.przedstawSie();
        b.przedstawSie();
        System.out.println();
        System.out.println(a);
        System.out.println(b);
        String napis1 = a.toString(); // ale to działa tylko dla istniejących obiektów
        System.out.println(napis1);
        String napis2 = String.valueOf(b); // to działa dla dowolnych wartości: obiekty, typy proste, wartość null
        System.out.println(napis2);
        System.out.println();

        Osoba c = new Osoba("Celina", "Nowakowska", 40);
        System.out.println(c);
        c.przedstawSie();

        // obiektów się nie usuwa
    }
}
