package p08_funkcje;

public class FunkcjeNaTablicach {
    
    static int suma(int[] t) {
        int suma = 0;
        for(int x : t) {
            suma += x;
        }
        return suma;
    }
    
    static int sumaParzystych(int[] t) {
        int suma = 0;
        for(int x : t) {
            if(x % 2 == 0) {
                suma += x;
            }
        }
        return suma;
    }
    
    // Zwraca największą z liczb w tablicy (nie używaj sortowania)
    static int max(int[] t) {
        // dwa podejścia do wpisania wartości początkowej:
        int wynik = Integer.MIN_VALUE;
        // int wynik = t[0];
        for(int el : t) {
            if(el > wynik) {
                wynik = el;
            }
        }
        return wynik;
    }

    public static void main(String[] args) {
        int[] a = {5, 10, 15, 1, 20, 4, 8, 0};
        int[] u = {-10, -5, -8, -10};
        int[] e = {};
        
        System.out.println("suma: " + suma(a));
        System.out.println("sumaP: " + sumaParzystych(a));
        System.out.println("max a: " + max(a));
        System.out.println("max u: " + max(u));
        System.out.println("max e: " + max(e));
    }

}
